varying vec4 v_color;
varying vec2 v_texCoord;
varying vec4 v_textureSize;

//declare uniforms
uniform sampler2D u_texture;

void main(void)
{
    float offset[5];
    offset[0] = 0.0;
    offset[1] = 1.0;
    offset[2] = 2.0;
    offset[3] = 3.0;
    offset[4] = 4.0;
    float weight[5];
    weight[0] = 0.2270270270;
    weight[1] = 0.1945945946;
    weight[2] = 0.1216216216;
    weight[3] = 0.0540540541;
    weight[4] = 0.0162162162;

    vec4 sum = vec4(0.0);

    sum += texture2D( u_texture, vec2(1024.0 - gl_FragCoord.x, 1024.0 - gl_FragCoord.y)/1024.0 ) * weight[0];
    for (int i=1; i<5; i++) {
        sum += texture2D( u_texture, ( vec2(1024.0 - gl_FragCoord.x, 1024.0 - gl_FragCoord.y)+vec2(0.0, offset[i]) )/1024.0 ) * weight[i];
        sum += texture2D( u_texture, ( vec2(1024.0 - gl_FragCoord.x, 1024.0 - gl_FragCoord.y)-vec2(0.0, offset[i]) )/1024.0 ) * weight[i];
    }

    gl_FragColor = v_color * vec4(sum.rgb, 1.0);
}